Glitch in installing RoboFont 3.2b



  • Hi Everyone,
    I've used RoboFont previously (a student version) & have been trying to install the new 3.2b but I keep getting odd error messages (see below) - has anyone else had this problem? I'm reasonably new to the program but had it installed on my studio computer with no problem, now when I try to install the new version on my laptop it won't work. I thought it might be a license issue, but I purchased a new one & the error messages are still coming up.
    Any thoughts? Any help is much appreciated!!

    Installing 'Mechanic' report:
      Traceback (most recent call last):
          File "_startup.py", line 1, in <module>
          File "/Users/elle/Library/Application Support/RoboFont/plugins/Mechanic.roboFontExt/lib/mechanic/storage.py", line 3, in <module>
          File "/Users/elle/Library/Application Support/RoboFont/plugins/Mechanic.roboFontExt/lib/mechanic/env.py", line 7, in <module>
        ModuleNotFoundError: No module named 'ConfigParser'
    
    Installing 'Shape Tool' report:
      Traceback (most recent call last):
          File "drawShapesTool.py", line 71
            print "A number is required!"
                                        ^
        SyntaxError: Missing parentheses in call to 'print'. Did you mean print(print "A number is required!")?
    

  • admin

    hello @elle,

    these error messages are from old (pre-RF3) versions of Mechanic and ShapeTool extensions.

    to upgrade your extensions from RF1 to RF3, try the following:

    • launch RF3 in Safe Mode (press Shift when clicking the application icon)
    • uninstall all installed extensions (in Preferences > Extensions)
    • download and install Mechanic2
    • use Mechanic2 to install extensions

    hope this helps!



  • Hi @gferreira ,

    Thank you so much! Totally fixed the problem 🙂

    Cheers,
    Elle


Log in to reply
 

Looks like your connection to RoboFont ● Forum was lost, please wait while we try to reconnect.